oasis.names.tc.saml._1_0.assertion

## Class Assertion

- java.lang.Object
- - oasis.names.tc.saml._1_0.assertion.Assertion

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-10-31T09:51:38+01:00",
                 comments="JAXB RI v2.3.7")
      public class Assertion
      extends Object
      implements Serializable

  Java class for AssertionType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AssertionType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{urn:oasis:names:tc:SAML:1.0:assertion}Conditions" minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:1.0:assertion}Advice" minOccurs="0"/>
               <choice maxOccurs="unbounded">
                 <element ref="{urn:oasis:names:tc:SAML:1.0:assertion}Statement"/>
                 <element ref="{urn:oasis:names:tc:SAML:1.0:assertion}SubjectStatement"/>
                 <element ref="{urn:oasis:names:tc:SAML:1.0:assertion}AuthenticationStatement"/>
                 <element ref="{urn:oasis:names:tc:SAML:1.0:assertion}AuthorizationDecisionStatement"/>
                 <element ref="{urn:oasis:names:tc:SAML:1.0:assertion}AttributeStatement"/>
               </choice>
               <element ref="{http://www.w3.org/2000/09/xmldsig#}Signature" minOccurs="0"/>
             </sequence>
             <attribute name="MajorVersion" use="required" type="{http://www.w3.org/2001/XMLSchema}integer" />
             <attribute name="MinorVersion" use="required" type="{http://www.w3.org/2001/XMLSchema}integer" />
             <attribute name="AssertionID" use="required" type="{http://www.w3.org/2001/XMLSchema}ID" />
             <attribute name="Issuer" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="IssueInstant" use="required" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Assertion()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Advice` | `getAdvice()` Gets the value of the advice property.
    `String` | `getAssertionID()` Gets the value of the assertionID property.
    `Conditions` | `getConditions()` Gets the value of the conditions property.
    `org.joda.time.DateTime` | `getIssueInstant()` Gets the value of the issueInstant property.
    `String` | `getIssuer()` Gets the value of the issuer property.
    `BigInteger` | `getMajorVersion()` Gets the value of the majorVersion property.
    `BigInteger` | `getMinorVersion()` Gets the value of the minorVersion property.
    `Signature` | `getSignature()` Gets the value of the signature property.
    `List<StatementAbstractType>` | `getStatementsAndSubjectStatementsAndAuthenticationStatements()` Gets the value of the statementsAndSubjectStatementsAndAuthenticationStatements property.
    `void` | `setAdvice(Advice value)` Sets the value of the advice property.
    `void` | `setAssertionID(String value)` Sets the value of the assertionID property.
    `void` | `setConditions(Conditions value)` Sets the value of the conditions property.
    `void` | `setIssueInstant(org.joda.time.DateTime value)` Sets the value of the issueInstant property.
    `void` | `setIssuer(String value)` Sets the value of the issuer property.
    `void` | `setMajorVersion(BigInteger value)` Sets the value of the majorVersion property.
    `void` | `setMinorVersion(BigInteger value)` Sets the value of the minorVersion property.
    `void` | `setSignature(Signature value)` Sets the value of the signature property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Assertion

          public Assertion()

  - ### Method Detail

    - #### getConditions

          public Conditions getConditions()

      Gets the value of the conditions property.
      Returns:
        possible object is `Conditions`

    - #### setConditions

          public void setConditions(Conditions value)

      Sets the value of the conditions property.
      Parameters:
        `value` - allowed object is `Conditions`

    - #### getAdvice

          public Advice getAdvice()

      Gets the value of the advice property.
      Returns:
        possible object is `Advice`

    - #### setAdvice

          public void setAdvice(Advice value)

      Sets the value of the advice property.
      Parameters:
        `value` - allowed object is `Advice`

    - #### getStatementsAndSubjectStatementsAndAuthenticationStatements

          public List<StatementAbstractType> getStatementsAndSubjectStatementsAndAuthenticationStatements()

      Gets the value of the statementsAndSubjectStatementsAndAuthenticationStatements property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the statementsAndSubjectStatementsAndAuthenticationStatements property.

      For example, to add a new item, do as follows:

              getStatementsAndSubjectStatementsAndAuthenticationStatements().add(newItem);

      Objects of the following type(s) are allowed in the list `AttributeStatement` `AuthenticationStatement` `AuthorizationDecisionStatement` `StatementAbstractType` `SubjectStatementAbstractType`

    - #### getSignature

          public Signature getSignature()

      Gets the value of the signature property.
      Returns:
        possible object is `Signature`

    - #### setSignature

          public void setSignature(Signature value)

      Sets the value of the signature property.
      Parameters:
        `value` - allowed object is `Signature`

    - #### getMajorVersion

          public BigInteger getMajorVersion()

      Gets the value of the majorVersion property.
      Returns:
        possible object is `BigInteger`

    - #### setMajorVersion

          public void setMajorVersion(BigInteger value)

      Sets the value of the majorVersion property.
      Parameters:
        `value` - allowed object is `BigInteger`

    - #### getMinorVersion

          public BigInteger getMinorVersion()

      Gets the value of the minorVersion property.
      Returns:
        possible object is `BigInteger`

    - #### setMinorVersion

          public void setMinorVersion(BigInteger value)

      Sets the value of the minorVersion property.
      Parameters:
        `value` - allowed object is `BigInteger`

    - #### getAssertionID

          public String getAssertionID()

      Gets the value of the assertionID property.
      Returns:
        possible object is `String`

    - #### setAssertionID

          public void setAssertionID(String value)

      Sets the value of the assertionID property.
      Parameters:
        `value` - allowed object is `String`

    - #### getIssuer

          public String getIssuer()

      Gets the value of the issuer property.
      Returns:
        possible object is `String`

    - #### setIssuer

          public void setIssuer(String value)

      Sets the value of the issuer property.
      Parameters:
        `value` - allowed object is `String`

    - #### getIssueInstant

          public org.joda.time.DateTime getIssueInstant()

      Gets the value of the issueInstant property.
      Returns:
        possible object is `String`

    - #### setIssueInstant

          public void setIssueInstant(org.joda.time.DateTime value)

      Sets the value of the issueInstant property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSPRACTICALNURSE 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.